#!/bin/bash
# Train classifiers
echo "naive classification: about to build nonSpam statistics. Press CTRL-D to start"
cd naive
./train.sh nonSpamTrain > nonSpamTrain.log
echo "naive classification: about to build spam statistics. Press CTRL-D to start"
./train.sh spamTrain > spamTrain.log
cd ..
cd markov
echo "markov classification: about to build nonSpam statistics. Press CTRL-D to start"
./train.sh nonSpamTrain > nonSpamTrain.log
echo "markov classification: about to build spam statistics. Press CTRL-D to start"
./train.sh spamTrain > spamTrain.log
cd ..
cd hyperspace
echo "hyperspace classification: about to build nonSpam statistics. Press CTRL-D to start"
./train.sh nonSpamTrain > nonSpamTrain.log
echo "hyperspace classification: about to build spam statistics. Press CTRL-D to start"
./train.sh spamTrain > spamTrain.log
cd ..
echo "done"
