#!/bin/bash
# Clean up eml files
echo "naive bayes classification:"
cd naive
# cssutil -r nonSpamTrain.css
# cssutil -r spamTrain.css
cssdiff nonSpamTrain.css spamTrain.css
cd ..
numEmail=$(grep -c '^Best' naiveNonSpam.log)
echo "number of nonSpam emails" $numEmail
numClass=$(grep -c '(nonSpam' naiveNonSpam.log)
let prob=($numClass*10000)/$numEmail
echo "number of nonSpam emails classified correctly " $numClass"/"$numEmail "(0."$prob")"
numClass=$(grep -c '(spam' naiveNonSpam.log)
let prob=($numClass*10000)/$numEmail
echo "number of nonSpam emails misclassified" $numClass"/"$numEmail "(0.0"$prob")"
numEmail=$(grep -c '^Best' naiveSpam.log)
echo "number of spam emails" $numEmail
numClass=$(grep -c '(spam' naiveSpam.log)
let prob=($numClass*10000)/$numEmail
echo "number of spam emails classified correctly" $numClass"/"$numEmail "(0."$prob")"
numClass=$(grep -c '(nonSpam' naiveSpam.log)
let prob=($numClass*10000)/$numEmail
echo "number of spam emails misclassified" $numClass"/"$numEmail "(0.0"$prob")"
echo "markov classification:"
cd markov
# cssutil -r nonSpamTrain.css 
# cssutil -r spamTrain.css
cssdiff nonSpamTrain.css spamTrain.css
cd ..
numEmail=$(grep -c '^Best' markovNonSpam.log)
echo "number of nonSpam emails" $numEmail
numClass=$(grep -c '(nonSpam' markovNonSpam.log)
let prob=($numClass*10000)/$numEmail
echo "number of nonSpam emails classified correctly " $numClass"/"$numEmail "(0."$prob")"
numClass=$(grep -c '(spam' markovNonSpam.log)
let prob=($numClass*10000)/$numEmail
echo "number of nonSpam emails misclassified" $numClass"/"$numEmail "(0.0"$prob")"
numEmail=$(grep -c '^Best' markovSpam.log)
echo "number of spam emails" $numEmail
numClass=$(grep -c '(spam' markovSpam.log)
let prob=($numClass*10000)/$numEmail
echo "number of spam emails classified correctly" $numClass"/"$numEmail "(0."$prob")"
numClass=$(grep -c '(nonSpam' markovSpam.log)
let prob=($numClass*10000)/$numEmail
echo "number of spam emails misclassified" $numClass"/"$numEmail "(0.0"$prob")"

echo "hyperspace classification:"
numEmail=$(grep -c '^Best' hyperspaceNonSpam.log)
echo "number of nonSpam emails" $numEmail
numClass=$(grep -c '(nonSpam' hyperspaceNonSpam.log)
let prob=($numClass*10000)/$numEmail
echo "number of nonSpam emails classified correctly " $numClass"/"$numEmail "(0."$prob")"
numClass=$(grep -c '(spam' hyperspaceNonSpam.log)
let prob=($numClass*10000)/$numEmail
echo "number of nonSpam emails misclassified" $numClass"/"$numEmail "(0.0"$prob")"
numEmail=$(grep -c '^Best' hyperspaceSpam.log)
echo "number of spam emails" $numEmail
numClass=$(grep -c '(spam' hyperspaceSpam.log)
let prob=($numClass*10000)/$numEmail
echo "number of spam emails classified correctly" $numClass"/"$numEmail "(0."$prob")"
numClass=$(grep -c '(nonSpam' hyperspaceSpam.log)
let prob=($numClass*10000)/$numEmail
echo "number of spam emails misclassified" $numClass"/"$numEmail "(0.0"$prob")"

